declare_plugin("X Control",
{
image     	 = "XControl.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
displayName  = _("X Control"),

fileMenuName = _("X Control"),
update_id        = "X Control",
version		 = "1.2.4",
state		 = "installed",
info		 = _("X Control, Take over control on AI planes.F15E, F16A, F18C, MiG-31, L-39ZA, Tornado IDS and SU-30."),

Skins	= 
	{
		{
			name	= "X Control",
			dir		= "Theme"
		},
	},
Missions =
	{
		{
			name		    = _("X Control"),
			dir			    = "Missions",
		},
	},
	
LogBook =
	{
		{
			name		= _("F-15E"),
			type		= "F-15E",
		},
		{
			name		= _("F/A-18C"),
			type		= "F/A-18C",
		},
		{
			name		= _("F-16A"),
			type		= "F-16A",
		},
		{
			name		= _("Su-30"),
			type		= "Su-30",
		},
		{
			name		= _("L-39ZA"),
			type		= "L-39ZA",
		},
		{
			name		= _("MiG-31"),
			type		= "MiG-31",
		},
		{
			name		= _("Tornado IDS"),
			type		= "Tornado IDS",
		},
	},

	--[[
Options =
	{
		{
			name		= _("X Control"),
			nameId		= "X Control",
			dir			= "Options",
			CLSID		= "{8A1FFFA5-D842-4EF8-8F65-EA9FDF40AC6E}"
		},
	},]]
	
InputProfiles =
{
    ["f-18c"] = current_mod_path .. '/Input/F-18C',
    ["F-15E"] = current_mod_path .. '/Input/F-15E',
	["F-16A"] = current_mod_path .. '/Input/F-16A',
	["su-30"] = current_mod_path .. '/Input/su-30',
	["L-39_ZA"] = current_mod_path .. '/Input/L-39ZA',
	["mig-31"] = current_mod_path .. '/Input/MiG-31',
    ["Tornado IDS"] = current_mod_path .. '/Input/TORNADO IDS',
},

--[[binaries 	 =
{
'FC3',
},]]


})
----------------------------------------------------------------------------------------

--mount_vfs_texture_path("Bazar/World/textures/CockpitsPlatinumBMP")
--mount_vfs_texture_path("Bazar/World/textures/CockpitsTextures")
--mount_vfs_texture_path("Bazar/World/textures/CockpitsHDTextures")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/F-16A-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/F/A-18C-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/F-15E-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/SU-30-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/L-39ZA-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/MiG-31-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Resources/Model/Textures/TORNADO IDS-CPT-TEXTURES")
mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Resources/Model/Shape")
mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Resources/Model/Shape/Cockpit_F")
mount_vfs_liveries_path (current_mod_path ..  "/Liveries")

make_flyable('F/A-18C'	, current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/f-18c.lua')
make_flyable('F-15E'	, current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/F-15E.lua')
make_flyable('F-16A'	 , current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/F-16A.lua')
make_flyable('Su-30' , current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/Su-30.lua')
make_flyable('L-39ZA' , current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/L-39_ZA.lua')
make_flyable('MiG-31' , current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/MiG-31.lua')
make_flyable('Tornado IDS', current_mod_path..'/Cockpit/KneeboardRight/', nil, current_mod_path..'/Comm/TORNADO IDS.lua')
----------------------------------------------------------------------------------------
plugin_done()
